package com.ruoyi.project.hit.controller;

import com.ruoyi.framework.web.controller.BaseController;
import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.hit.domain.PupuStore;
import com.ruoyi.project.hit.service.PupuStoreService;
import com.ruoyi.project.hit.service.PupuUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/hit/store")
public class PupuStoreController extends BaseController {
    @Autowired
    private PupuStoreService pupuStoreService;

    /**
     * 新增门店
     * @param pupuStore
     * @return
     */
    @PutMapping("/add")
    public AjaxResult add(@Validated @RequestBody PupuStore pupuStore){
        return toAjax(pupuStoreService.add(pupuStore));
    }

    /**
     * 删除门店
     * @param storeId
     * @return
     */
    @DeleteMapping("/del/{storeId}")
    public AjaxResult del(@PathVariable(value = "storeId")Integer storeId){
        return toAjax(pupuStoreService.del(storeId));
    }

}
