package com.ruoyi.project.hit.controller;

import com.ruoyi.framework.web.controller.BaseController;
import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.hit.domain.PupuEquipment;
import com.ruoyi.project.hit.service.PupuEquipmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/hit/equipment")
public class PupuEquipmentController extends BaseController {
    @Autowired
    private PupuEquipmentService pupuEquipmentService;

    @PutMapping("/add")
    public AjaxResult add(@RequestBody PupuEquipment pupuEquipment){
        return toAjax(pupuEquipmentService.add(pupuEquipment));
    }

    @DeleteMapping("/del/{equipmentId}")
    public AjaxResult del(@PathVariable(value = "equipmentId") Integer equipmentId){
        return toAjax(pupuEquipmentService.del(equipmentId));
    }

}
