package com.ruoyi.project.hit.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.hit.domain.PupuLog;
import com.ruoyi.project.hit.domain.vo.SelectLogVO;
import com.ruoyi.project.hit.service.PupuLogService;
import com.ruoyi.project.hit.mapper.PupuLogMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;

/**
* @author HP
* @description 针对表【pupu_log】的数据库操作Service实现
* @createDate 2024-09-06 09:11:59
*/
@Service
public class PupuLogServiceImpl extends ServiceImpl<PupuLogMapper, PupuLog>
    implements PupuLogService{
    @Resource
    private PupuLogMapper pupuLogMapper;

    @Override
    public int add(PupuLog pupuLog) {
        return pupuLogMapper.insert(pupuLog);
    }

    @Override
    public List<HashMap> select(SelectLogVO selectLogVO) {
        return pupuLogMapper.select(selectLogVO);
    }
}




